<?php
require_once 'inc/guvenlik.php';
?>

<h5>Üretici Ekle</h5>
<form id="uretici_ekleFormu" class="row g-3" action="uretici-ekleDB.php" method="post">
    <div id="ureticiAd1" class="col-md-6 form-select-sm">
        <label for="kategoriAd" class="form-label">Üretici Adı</label>
        <input type="text" name="ureticiEkleAd" class="form-control form-select-sm input_ad" id="ureticiEkleAd" value="<?php echo isset($_POST['ureticiEkleAd']) ? htmlspecialchars($_POST['ureticiEkleAd']) : ''; ?>" required>
    </div>

    <!-- ÜRETİCİ ÇEKME BÖLÜMÜ -->
    <div id="kategori1" class="col-md-6 form-select-sm">
        <label for="kategoriler" class="form-label">Üretici Listesi</label>
        <?php
        try {
            // Sadece id ve ad alanları çekilmeli
            $kategori = "SELECT id, ad FROM uretici ORDER BY ad ASC";
            $kategori_sonuc = $baglantim->prepare($kategori);
            $kategori_sonuc->execute();
            $kategori_sonuc->setFetchMode(PDO::FETCH_ASSOC);
        } catch (PDOException $e) {
            die("Veri çekilirken bir problem oluştu: " . $e->getMessage());
        }

        echo '<select name="kategoriler" id="kategoriler" class="form-select form-select-sm" size="20">';

        // Seçenekleri eklerken, her bir seçeneği HTML güvenli hale getirelim
        while ($kategori_satir = $kategori_sonuc->fetch()) {
            echo '<option value="' . htmlspecialchars($kategori_satir['id']) . '">' . htmlspecialchars($kategori_satir['ad']) . '</option>';
        }

        echo '</select>';
        ?>
    </div>
    <!-- ÜRETİCİ ÇEKME BÖLÜMÜ -->

    <div class="col-6 text-first">
        <span id="EklemeMesaji"></span>
    </div>
    <div class="col-12 text-end">
        <button type="submit" class="btn btn-primary btn-sm">Kaydet</button>
    </div>
</form>