<?php
require_once 'inc/guvenlik.php';
?>
<h5>Tedarikçi Ekle</h5>
<form id="tedarikci_ekleFormu" class="row g-3" action="tedarikci-ekleDB.php" method="post">
    <div id="tedarikciAd1" class="col-md-6 form-select-sm">
        <label for="kategoriAd" class="form-label">Üretici Adı</label>
        <input type="text" name="tedarikciEkleAd" class="form-control form-select-sm input_ad"
               id="tedarikciEkleAd" required>
    </div>

    <!-- KATEGORİ ÇEKME BÖLÜMÜ -->
    <div id="kategori1" class="col-md-6 form-select-sm">
        <label for="kategoriler" class="form-label">Tedarikçi Listesi</label>
        <?php
        try {
            $kategori = "SELECT * FROM tedarikci ORDER BY ad ASC";
            $kategori_sonuc = $baglantim->query($kategori);
            $kategori_sonuc->setFetchMode(PDO::FETCH_ASSOC);
        } catch (PDOException $e) {
            die("Veri çekilirken bir problem oluştu !!!" . $e->getMessage());
        }
        echo '<select name="kategoriler" id="kategoriler" class="form-select form-select-sm" size="20">';

        while ($kategori_satir = $kategori_sonuc->fetch()) {
            // Kategori adını ekranda güvenli bir şekilde göster
            $kategori_ad = htmlspecialchars($kategori_satir['ad'], ENT_QUOTES, 'UTF-8');
            echo '<option value="' . $kategori_satir['id'] . '">' . $kategori_ad . '</option>';
        }
        echo '</select>';
        ?>
    </div>
    <!-- KATEGORİ ÇEKME BÖLÜMÜ -->

    <div class="col-6 text-first">
        <span id="EklemeMesaji"></span>
    </div>
    <div class="col-12 text-end">
        <button type="submit" class="btn btn-primary btn-sm">Kaydet</button>
    </div>
</form>
